Page MenuHomePhabricator

Documentation pages on sr.wikipedia should support multiple prefixes (/doc, /док, /dok)
Closed, ResolvedPublic

Description

Could someone fix this by enabling both /doc and /док (and /dok, Latin translit.) function same, or somehow else? Problem is that documentation pages of modules cannot be edited; they are locked after required change of Translatewiki message defintion/translation for default English /doc.

Event Timeline

Obsuser created this task.Jan 4 2019, 4:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2019, 4:27 PM
Aklapper changed the task status from Open to Stalled.

(Unrelated to Wikimedia-Bugzilla hence removing tag (I'm curious how you chose to set that project tag? :) .)

I'm not sure why this was filed in Wikimedia Phabricator. If I understand you correctly some change (unclear what you expect, please do follow https://www.mediawiki.org/wiki/How_to_report_a_bug and provide 1) clear steps to reproduce, 2) expected outcome, and 3) actual outcome) can be done on translatewiki.net so what blocks you from performing that change on translatewiki.net ?

(Unrelated to Wikimedia-Bugzilla hence removing tag (I'm curious how you chose to set that project tag? :) .)

I'm not sure why this was filed in Wikimedia Phabricator. If I understand you correctly some change (unclear what you expect, please do follow https://www.mediawiki.org/wiki/How_to_report_a_bug and provide 1) clear steps to reproduce, 2) expected outcome, and 3) actual outcome) can be done on translatewiki.net so what blocks you from performing that change on translatewiki.net ?

@Aklapper Maybe he wanted to set Wikimedia-Site-requests. I am not sure, also.

Anomie added a subscriber: Anomie.Jan 7 2019, 3:12 PM

The current code has no way of supporting multiple suffixes. If you can settle on just one suffix, you can adjust https://sr.wikipedia.org/wiki/MediaWiki:Scribunto-doc-page-name to match.

As for that page, where the top revision is "wikitext" but MediaWiki think's it's "Scribunto", you should be able to fix it by using Special:ChangeContentModel to change it to something else (e.g. "plain text") and then back to "wikitext" or by using the API to make a (non-null) edit.

Could you resolve that? I guess it's simple for you...

Aklapper renamed this task from Documentation pages on sr.wikipedia to Documentation pages on sr.wikipedia should support multiple prefixes (/doc, /док, /dok).Mar 2 2019, 8:12 AM
Aklapper added a project: I18n.

Could you resolve that? I guess it's simple for you...

@Obsuser: If you can judge that it is "simple", please be welcome to provide a patch: https://www.mediawiki.org/wiki/How_to_become_a_MediaWiki_hacker . If not then please never assume that something is simple for somebody. Thanks!

The current code has no way of supporting multiple suffixes. If you can settle on just one suffix, you can adjust https://sr.wikipedia.org/wiki/MediaWiki:Scribunto-doc-page-name to match.

As for that page, where the top revision is "wikitext" but MediaWiki think's it's "Scribunto", you should be able to fix it by using Special:ChangeContentModel to change it to something else (e.g. "plain text") and then back to "wikitext" or by using the API to make a (non-null) edit.

I tryed it, but still happening same error.

Zoranzoki21 closed this task as Resolved.Mar 11 2019, 12:33 AM
Zoranzoki21 claimed this task.

Ok, I tried again and fixed this. Closing as resolved.

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptMar 11 2019, 12:33 AM